import 'dart:async';

import 'package:flutter/services.dart';

class CpuUsage {
  static const MethodChannel _channel =
      const MethodChannel('cpu_usage');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future getRam()  async {
    var ram = await _channel.invokeMethod("getRamUsage");
    return ram;
  }
}
