import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:cpu_usage/cpu_usage.dart';

void main() {
  const MethodChannel channel = MethodChannel('cpu_usage');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await CpuUsage.platformVersion, '42');
  });
}
